using CloudBuilder.Core.Authorization;
namespace CloudBuilder.Security
{
    [TypeScript]
    public class SecurityActorGroupEntityKey
    {
        public string ActorName  { get; set; }
        public string GroupName  { get; set; }

        public override bool Equals(object obj)
        {
            if (this == obj) return true;

            SecurityActorGroupEntityKey pkey = obj as SecurityActorGroupEntityKey;
            if (pkey == null) return false;

            if (ActorName != pkey.ActorName) return false;
            if (GroupName != pkey.GroupName) return false;

            return true;
        }


            public override string ToString()
            {
                string declareSql="";
                declareSql=declareSql+$"declare @__tkey_ActorName_0 varchar(50) select @__tkey_ActorName_0 ='{ActorName}'; " ;                declareSql=declareSql+$"declare @__tkey_GroupName_1 varchar(50) select @__tkey_GroupName_1 ='{GroupName}'; " ;
                return declareSql;
            }
        }
    }
    /* builder.Entity<SecurityActorGroupEntity>().HasKey(c => new {        c.ActorName,        c.GroupName});    */
